{% extends 'base.html.twig' %}

{% block title %}Produit index{% endblock %}

{% block stylesheets %}
<link rel="stylesheet" href="/styles/carte.css">
{% endblock %}

{% block body %}
    {{ include('header_admin/header_admin.html.twig') }}
    <main>
    <section class="section-products">
		<div class="container">
			<div class="row justify-content-center text-center">
					<div class="col-md-8 col-lg-6">
						<div class="header">
								<h2 class="mt-4">Gestion des produits</h2>
						</div>
					</div>
				</div>
				<div class="row">
					{# Produit #}
                     {% for produit in produits %}
                     	<div class="col-md-6 col-lg-4 col-xl-3">
								<div id="product-{{ produit.id }}" class="single-product">
										<div class="part-1" style="background: url({{ produit.image }}) no-repeat center; background-size: cover; transition: all 0.3s;";>
												<ul>
													<li><a href="/carte/{{ produit.id }}/edit"><i class="fas fa-expand"></i></a></li>
                                                    <li>{{ include('produit/_delete_form.html.twig') }}</li>
												</ul>
										</div>
										<div class="part-2">
												<h2 class="product-title">{{ produit.nom }}</h2>
												<h3 class="product-price">{{ produit.prix }} €</h3>
                                                <h4 class="product-dispo">Disponibilité : {{ produit.disponibilite ? '&#128994' : '&#128992' }}</h4>
										</div>
								</div>
						</div>
                    {% else %}
                    <p>no records found</p>
                    {% endfor %}
                    <a  class="btn btn-dark"href="{{ path('app_produit_new') }}">Nouveau produit</a>
			</div>
		</div>
    </section>
    </main>
    {{ include('footer/footer.html.twig') }}
{% endblock %}
